#
# spec file for package ffxvid
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ffxvid
Version:        1.3.2
Release:        1.1
Summary:        A small shell script for encoding to H.264 with ffmpeg
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            https://ffxvid.teambelgium.net
Source0:        %{name}-%{version}.tar.gz
Requires:       ffmpeg
Requires:       bc
Requires:       MPlayer
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A small shell script for encoding video files to the MPEG4 Part 2/Xvid video format
using the ffmpeg encoder.

%prep
%setup -q

%build

%install
install -D -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

gzip -9 %{name}.1
install -D -m 644 %{name}.1.gz %{buildroot}/%{_mandir}/man1/%{name}.1.gz



%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}
%doc AUTHORS ChangeLog LICENSE README *.txt

%changelog
* Thu Aug 29 2019 neutrino8@opensuse.org
- Update to version 1.3.2
  * Use a comma instead of a dash for the audio sample
    rate metadata
* Wed Aug 21 2019 neutrino8@opensuse.org
- Update to version 1.3.1
  * Add audio sample rate to the audio metadata
* Tue Jul 23 2019 neutrino8@opensuse.org
- Update to version 1.3.0
  * Added support for crop preview using MPlayer when
    autocrop is enabled in the config file. This was
    ported over from my h264enc script
* Thu Jun 14 2018 neutrino8@opensuse.org
- Update to version 1.2.9
  * Added support for the bm3d denoise filter
* Mon Feb 26 2018 neutrino8@opensuse.org
- Update to version 1.2.8
  * Set the eq saturation default value to 1.0 (same as filter default)
  * Add the colorspace and colormatrix filters when doing an HDR
    to SDR conversion
  * Lower tonemap desat strength to 2.8
  * Support white point adaptation for HDR to SDR
  * Moved the colorspace filter after the scale one
  * Moved the pixel format filter near the end of the filter chain
* Tue Feb 20 2018 neutrino8@opensuse.org
- Update to version 1.2.7
  * Fixed an issue where in some cases write-testing the output
    directory will fail due usage of readlink -f instead of
    readlink -m
  * Update transfer chars to support latest changes to zimg from git
* Tue Jan  9 2018 neutrino8@opensuse.org
- Update to version 1.2.6
  * Moved the eq filter to almost the end of the video filter chain
    as it can lead to banding in certain cases in case the filter
    is in front of most other ones
  * If the eq filter is used, also insert the format one after it
    if a pixel format has been chosen
  * Fixed a possible devision by 0 that may occur when one copies
    audio and the bitrate for metadata is reported as N/A by ffprobe
* Thu Jan  4 2018 neutrino8@opensuse.org
- Update to version 1.2.5
  * Don't hardcode the desaturation strength of the tonemap filter
    but let is be an option
  * Removed the matrix and primaries options in the zscale filter
    as it leads to over-saturation of colors
  * Support tweaking the tonemap algorithms for HDR to SDR conversion
  * Support applying color saturation correction when doing an HDR
    to SDR conversion
  * Added bt2020-12 to the list of transfers when doing color
    characteristics copy
  * Added HDR_to_SDR_instructions.txt file to the package
* Mon Jan  1 2018 neutrino8@opensuse.org
- Update to version 1.2.4
  * Reworked the video_chars_func() function and added reporting
    of video bit depth
  * Initial support for audio codec metadata when doing audio
    copy
  * Increased default E-AC-3 audio bitrate from 768 to 960 kbps
  * Set dialnorm for AC-3/E-AC-3 to its FFmpeg default (-31)
  * Use a desat value of 2.5 for the tonemap filter when doing HDR
    to SDR conversions
  * Don't use pix_fmts in the format filter. It is not really needed
  * Removed 12-bit options from the video_pixfmt_func() function
  * Cosmetics
* Wed Dec 27 2017 neutrino8@opensuse.org
- Update to version 1.2.3
  * Renamed array variable CHARS to VCHARS in the video_chars_func()
    function
  * Report pixel format in the video_chars_func() function
  * Use -v quiet instead of -v error log level for ffprobe
  * Cosmetics
* Tue Dec 26 2017 neutrino8@opensuse.org
- Update to version 1.2.2
  * Initial support for HDR to SDR conversions. Requires
    FFmpeg to be compiled with the zimg library as it
    needs the zscale filter
    https://github.com/sekrit-twc/zimg
* Sun Oct 22 2017 neutrino8@opensuse.org
- Update to version 1.2.1
  * Support dialog level normalization for AC3/EAC3 audio
* Fri Sep 29 2017 neutrino8@opensuse.org
- Update to version 1.2.0
  * Support setting the output video aspect ratio
* Wed Aug 23 2017 neutrino8@opensuse.org
- Update to version 1.1.9
  * Support full chroma input for the software scaler
* Fri Jul 21 2017 neutrino8@opensuse.org
- Add realpath to the CHDIR var for batch mode
* Thu Jul 20 2017 neutrino8@opensuse.org
- Update to version 1.1.8
  * Bugfix: use realpath instead of readlink for the OUTPUT
    var when running in batch mode. Fixes the issue where
    readlink will follow the full path in case the input
    is a symlink which may result of encoding files we
    were not asked to
  * Don't print cropped resolution during runtime
    if batch mode is selected
  * Remove check for realpath. It is now required and not
    optional
* Wed Jun 14 2017 neutrino8@opensuse.org
- Update to version 1.1.7
  * Make software scaler tweaking optional
  * Added support for the unsharp filter for sharpen/blur
  * Use a colon symbol as separation for input/output color range
    in the video_colorspace_func() function as to be consistent
    with the other options. Also set the default to tv:tv
* Tue Jun 13 2017 neutrino8@opensuse.org
- Update to version 1.1.6
  * Bugfix in the video_colorspace_func() function. Wrong value
    used for the ispace option of the filter. Must be bt2020ncl
    instead of just bt2020
* Sat Jun 10 2017 neutrino8@opensuse.org
- Update to version 1.1.5
  * Replace numbers in array variable char of the video_chars_func()
    function with the ones from the for loop
  * Pipe the ffprobe string to tail -1 to work around issues
    with some problematic files
  * Some small improvements to the video_colorspace_func() function
* Fri Jun  9 2017 neutrino8@opensuse.org
- Update to version 1.1.4
  * New function, video_chars_func(), to detect and display video
    characteristics like color range/space/transfer/primaries
  * Detect and display video resolution if video scaling is enabled
  * Detect and display pixel format
* Thu Jun  8 2017 neutrino8@opensuse.org
- Update to version 1.1.3
  * Report software scaler set in the config file
  * Merge the bicubic and spline scaler tuning code
  * Mention for the Lanczos scaler that the scaler
    tuning value is the filter length and not sharpness
* Mon Jun  5 2017 neutrino8@opensuse.org
- Update to version 1.1.2
  * Remove redundant software scaler warning and exit in
    the sws_func() function for the config file
  * Added support for the experimental software scaler
  * Added support for software scaler tuning where applicable
  * Removed additional encoder info on max audio channels support
* Sun Jun  4 2017 neutrino8@opensuse.org
- Update to version 1.1.1
  * Match software scaler options in config file with the
    ones inside the script. $SCALER in config file now
    takes a value between 0 and 9
  * Do some basic checking of scaler option when it's set
    in the config file
* Thu Jun  1 2017 neutrino8@opensuse.org
- Update to version 1.1.0
  * Simplify the scale variable a bit
  * Support SMPTE170M colorspace conversion
* Tue May 16 2017 neutrino8@opensuse.org
- Update to version 1.0.9
  * Added support for FFmpeg's internal Opus audio encoder
* Sun May 14 2017 neutrino8@opensuse.org
- Update to version 1.0.8
  * Bugfix in the software scale code. Use an if conditional
    to check for an y/n answer
* Sat May 13 2017 neutrino8@opensuse.org
- Update to version 1.0.7
  * Support accurate rounding for the software scalers
  * Support full chroma interpolation for the software scalers
  * Use the flags option of the scale option instead of -sws_flags
    to set scaler and its options
  * Bugfix: software scaler code missing
* Mon Apr  3 2017 neutrino8@opensuse.org
- Update to version 1.0.6
  * Support setting the input/output color range
* Sat Mar 18 2017 neutrino8@opensuse.org
- Update to version 1.0.5
  * Update audio compression level values
  * Update colorspace entry for NTSC video
  * Fixed bug in the video_colorspace_func() values
* Wed Feb 22 2017 neutrino8@opensuse.org
- Update to version 1.0.4
  * Support high FPS -> low FPS conversions
  * Bugfix: missing options in FPS conversion menu
* Sun Feb 19 2017 neutrino8@opensuse.org
- Update to version 1.0.3
  * Enable Variance AQ by default
  * Correct a few things in man page
  * Update the preset.txt file
* Sat Feb 18 2017 neutrino8@opensuse.org
- Update to version 1.0.2
  * Switch to using libxvid instead of mpeg4 encoder
  * Set appropriate threads amount for encoding
  * Update default encoding options
* Fri Feb 17 2017 neutrino8@opensuse.org
- Update to version 1.0.1
  * Update default encoding options
* Fri Feb 17 2017 neutrino8@opensuse.org
- Initial package release
